%define upstream_name    Cache-FastMmap
%define upstream_version 1.40

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Uses an mmap'ed file to act as a shared memory interprocess cache
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl-devel
%description
A shared memory cache through an mmap'ed file. It's core is written in C for
performance. It uses fcntl locking to ensure multiple processes can safely
access the cache at the same time. It uses a basic LRU algorithm to keep the
most used entries in the cache.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%perl_vendorarch/Cache
%perl_vendorarch/auto/Cache
%_mandir/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.400.0-5.mga4
+ Revision: 525089
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.400.0-4.mga4
+ Revision: 432029
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 363726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.400.0-2.mga3
+ Revision: 250313
- rebuild for perl 5.16

* Thu Dec 08 2011 kharec <kharec> 1.400.0-1.mga2
+ Revision: 179089
- update to 1.40

  + jquelin <jquelin>
    - update to 1.39

* Sat Jun 11 2011 sander85 <sander85> 1.360.0-2.mga2
+ Revision: 103603
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 29851
- mageia rebuild
- imported package perl-Cache-FastMmap

